Skip to main content
GET
/
jobs
/
{resource}
Get a job
import requests

url = "https://{FUSION HOST}/api/jobs/{resource}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/jobs/{resource}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/jobs/{resource}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/jobs/{resource}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/jobs/{resource}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/jobs/{resource}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/jobs/{resource}
{
  "resource": "<string>",
  "enabled": true,
  "startedBy": "<string>",
  "status": "<string>",
  "extra": {},
  "lastStartTime": "2023-11-07T05:31:56Z",
  "lastEndTime": "2023-11-07T05:31:56Z",
  "nextStartTime": "2023-11-07T05:31:56Z"
}

Path Parameters

resource
string
required

The job ID.

Response

200 - */*

successful operation

resource

Resource reference as a string, such as 'datasource:ratings-db'

enabled
boolean
read-only
startedBy
string
read-only
status
string
read-only

Values include ready, running, success, aborted, or failed.

extra
object
read-only
lastStartTime
string<date-time>
read-only
lastEndTime
string<date-time>
read-only
nextStartTime
string<date-time>
read-only